reference_testing ?= output/testing_reference/inj_0/
reference_testing_exact_position ?= output/testing_exact_position_reference/inj_0/
reference_testing_lvalert ?= output/testing_lvalert_reference/inj_0/

.PHONY: all
all: compare_testing_to_reference.diff compare_testing_exact_position_to_reference.diff

.PHONY: submit_dag_testing submit_dag_testing_exact_position
submit_dag_testing:
	python submit_rapidpe_m1m2_injections.py config_testing.ini
	# Make copies of all .sub files with sorted argument lists.
	for fname in output/testing/inj_0/*.sub; do python sub_argument_sorter.py $$fname; done
submit_dag_testing_exact_position:
	python submit_rapidpe_m1m2_injections.py config_testing_exact_position.ini
	# Make copies of all .sub files with sorted argument lists.
	for fname in output/testing_exact_position/inj_0/*.sub; do python sub_argument_sorter.py $$fname; done
submit_dag_testing_lvalert:
	python submit_rapidpe_m1m2_injections.py config_testing_lvalert.ini
	# Make copies of all .sub files with sorted argument lists.
	for fname in output/testing_lvalert/inj_0/*.sub; do python sub_argument_sorter.py $$fname; done


output/testing/inj_0: submit_dag_testing
output/testing_exact_position/inj_0: submit_dag_testing_exact_position
output/testing_lvalert/inj_0: submit_dag_testing_lvalert


compare_testing_to_reference.diff: output/testing/inj_0
	diff $(reference_testing) output/testing/inj_0/ -X diff_exclude.pats | tee $@

compare_testing_exact_position_to_reference.diff: output/testing_exact_position/inj_0
	diff $(reference_testing_exact_position) output/testing_exact_position/inj_0/ -X diff_exclude.pats | tee $@

compare_testing_lvalert_to_reference.diff: output/testing_lvalert/inj_0
	diff $(reference_testing_lvalert) output/testing_lvalert/inj_0 -X diff_exclude.pats | tee $@